Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001244 [Piwigo] database minor have not tried 2009.11.16 20:23 2010.04.14 17:39
Reporter nikrou View Status public  
Assigned To nikrou
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.1.0RC1 Product Version
  Target Version 2.1.0RC1 Product Build
Summary 0001244: Replace all mysql functions in core code by ones independant of database engine
Description The idea is to prepare piwigo core code to be database independant.
In a first step, functions will be just the same for example pwg_db_fetch_assoc() instead of mysql_fetch_assoc().
All theses functions will be loaded depending of database engine.
Steps To Reproduce
Additional Information Discussion :
http://piwigo.org/forum/viewtopic.php?id=15500 [^]
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0003096)
svn (reporter)
2009.11.20 15:17

[Subversion] r4325 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1244 resolved
Replace all mysql functions in core code by ones independant of database engine

Fix small php code synxtax : hash must be accessed with [ ] and not { }.
(0003097)
svn (reporter)
2009.11.20 15:55

[Subversion] r4326 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1244 : bug fix
functions_mysql.inc.php must be loaded for install
(0003100)
svn (reporter)
2009.11.21 13:41

[Subversion] r4332 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1244 : misspelled functions pwg_db_free_result() (db missing)

- Issue History
Date Modified Username Field Change
2009.11.16 20:23 nikrou New Issue
2009.11.16 20:23 nikrou browser => any
2009.11.16 20:23 nikrou Web server => Apache 1.3.x
2009.11.16 20:42 nikrou Status new => assigned
2009.11.16 20:42 nikrou Assigned To => nikrou
2009.11.20 15:17 svn Checkin
2009.11.20 15:17 svn Note Added: 0003096
2009.11.20 15:55 svn Checkin
2009.11.20 15:55 svn Note Added: 0003097
2009.11.20 16:10 nikrou Status assigned => resolved
2009.11.20 16:10 nikrou Resolution open => fixed
2009.11.21 13:41 svn Checkin
2009.11.21 13:41 svn Note Added: 0003100
2010.04.14 17:39 plg Status resolved => closed
2010.04.14 17:39 plg Fixed in Version => 2.1.0RC1
2010.04.14 17:39 plg Target Version => 2.1.0RC1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker